<?php
add_filter('comments_template', 'legacy_comments');

function legacy_comments($file) {
	if(!function_exists('wp_list_comments')) :
		$file = TEMPLATEPATH . '/legacy.comments.php';
	endif;
	return $file;
}

function display_comments() {
	if(is_page()) {
		if(get_option('theme_comments_pages')==true) return comments_template();
	}
	if(is_single()) {
		if(get_option('theme_comments_posts')==true) return comments_template();
	}
}
?>